package com.steerinfo.pretrack.peraddweight.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="附加重量预报表")
public class PerAddWeight implements IBasePO<String> {
    /**
     * 预报附加重量编号(PERDICTION_ADD_NO,VARCHAR,40)
     */
    @ApiModelProperty(value="预报附加重量编号",required=true)
    private String perdictionAddNo;

    /**
     * 附加重量编号(ADD_WEIGHT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="附加重量编号",required=true)
    private String addWeightNo;

    /**
     * 器具编号(UTENSIL_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="器具编号",required=true)
    private String utensilNo;

    /**
     * 器具名称(UTENSIL_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="器具名称",required=true)
    private String utensilName;

    /**
     * 器具重量(UTENSIL_WEIGHT,VARCHAR,10)
     */
    @ApiModelProperty(value="器具重量",required=true)
    private Double utensilWeight;

    /**
     * 器具属性编号(UTENSIL_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="器具属性编号",required=true)
    private String utensilTypeNo;

    /**
     * 器具属性名称(UTENSIL_UTENSIL_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="器具属性名称",required=true)
    private String utensilUtensilName;

    /**
     * 预报编号(PREDICTION_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="预报编号",required=true)
    private String predictionNo;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.perdictionAddNo;
    }

    @Override
    public void setId(String perdictionAddNo) {
        this.perdictionAddNo = perdictionAddNo == null ? null : perdictionAddNo.trim();
    }

    public String getPerdictionAddNo() {
        return perdictionAddNo;
    }

    public void setPerdictionAddNo(String perdictionAddNo) {
        this.perdictionAddNo = perdictionAddNo == null ? null : perdictionAddNo.trim();
    }

    public String getAddWeightNo() {
        return addWeightNo;
    }

    public void setAddWeightNo(String addWeightNo) {
        this.addWeightNo = addWeightNo == null ? null : addWeightNo.trim();
    }

    public String getUtensilNo() {
        return utensilNo;
    }

    public void setUtensilNo(String utensilNo) {
        this.utensilNo = utensilNo == null ? null : utensilNo.trim();
    }

    public String getUtensilName() {
        return utensilName;
    }

    public void setUtensilName(String utensilName) {
        this.utensilName = utensilName == null ? null : utensilName.trim();
    }

    public Double getUtensilWeight() {
        return utensilWeight;
    }

    public void setUtensilWeight(Double utensilWeight) {
        this.utensilWeight = utensilWeight ;
    }

    public String getUtensilTypeNo() {
        return utensilTypeNo;
    }

    public void setUtensilTypeNo(String utensilTypeNo) {
        this.utensilTypeNo = utensilTypeNo == null ? null : utensilTypeNo.trim();
    }

    public String getUtensilUtensilName() {
        return utensilUtensilName;
    }

    public void setUtensilUtensilName(String utensilUtensilName) {
        this.utensilUtensilName = utensilUtensilName == null ? null : utensilUtensilName.trim();
    }

    public String getPredictionNo() {
        return predictionNo;
    }

    public void setPredictionNo(String predictionNo) {
        this.predictionNo = predictionNo == null ? null : predictionNo.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", perdictionAddNo=").append(perdictionAddNo);
        sb.append(", addWeightNo=").append(addWeightNo);
        sb.append(", utensilNo=").append(utensilNo);
        sb.append(", utensilName=").append(utensilName);
        sb.append(", utensilWeight=").append(utensilWeight);
        sb.append(", utensilTypeNo=").append(utensilTypeNo);
        sb.append(", utensilUtensilName=").append(utensilUtensilName);
        sb.append(", predictionNo=").append(predictionNo);
        sb.append(", memo=").append(memo);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}